import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    modelName: '逻辑模型',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    // "children" : [ ],
    selectType: null,
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    modelName: '逻辑模型文件夹1',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    // "children" : [ ],
    selectType: null,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    modelName: '逻辑模型文件夹2',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    // "children" : [ ],
    selectType: null,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 103,
    modelName: '逻辑模型文件夹3',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    // "children" : [ ],
    selectType: null,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 201,
    "modelName" : "argodb元模型",
    "parentId" : 101,
    "code:": "002",
    "ancestors" : "0,100，101",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 202,
    "modelName" : "inceptor元模型",
    "parentId" : 101,
    "code:": "002",
    "ancestors" : "0,100，101",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 203,
    "modelName" : "acc元模型",
    "parentId" : 102,
    "code:": "002",
    "ancestors" : "0,100，102",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 204,
    "modelName" : "ctor元模型",
    "parentId" : 102,
    "code:": "002",
    "ancestors" : "0,100，102",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 205,
    "modelName" : "octp元模型",
    "parentId" : 103,
    "code:": "002",
    "ancestors" : "0,100，103",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
];

export const modelData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 309,
    username: 'yonghu1',
    nickName: '测试用户1',
    userType: '1',
    name: '测试用户1',
    createDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123f',
    identity: '1',
    roleIds: null,
    roleNames: '三级用户',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 310,
    username: 'yonghu2',
    nickName: '测试用户2',
    userType: '1',
    name: '测试用户2',
    createDate: '2024-10-25 10:05:05',
    sex: '0',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123a',
    identity: '1',
    roleIds: null,
    roleNames: null,
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 317,
    username: 'yonghu3',
    nickName: '测试用户3',
    userType: '1',
    name: '测试用户3',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123c',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 318,
    username: 'yonghu4',
    nickName: '测试用户4',
    userType: '1',
    name: '测试用户4',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123b',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 319,
    username: 'yonghu5',
    nickName: '测试用户5',
    userType: '1',
    name: '测试用户5',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123x',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
];

export const editTableData: any[] = [
  {
    businessId: 1,
    name: '数据源',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '库名',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '表名',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '资产类型',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '表类型',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '表注释',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '存储类型',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '是否为事务表',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '创建时间',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '创建者',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '发布时间',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '发布者',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
];
export const editColumnData: any[] = [
  {
    businessId: 1,
    name: '列名',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '字段类型',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '字段类型参数',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '长度',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '精度',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '是否可为空',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '字段注释',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
];
export const editBucketData: any[] = [
  {
    businessId: 1,
    name: '分桶数',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '分桶字段',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '排序字段',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '排序方式',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
];
export const editAreaData: any[] = [
  {
    businessId: 1,
    name: '分区类型',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '分区字段',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '分区名',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
  {
    businessId: 1,
    name: '分区值',
    description: '',
    englishName: '',
    isWrite: '1',
    isShow: '1',
    type: '1',
  },
];
